package main;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;
import sun.audio.AudioPlayer;
import sun.audio.AudioStream;

import java.io.FileInputStream;
import java.io.InputStream;


public class Main extends Application
{

	public static void main(String[] args)
	{
		launch(args);
	}

	@Override
	public void start(Stage primaryStage)
	{
		try
		{
			FXMLLoader loader = new FXMLLoader();
			loader.setLocation(Main.class.getResource("../view/view.fxml"));
			BorderPane root = (BorderPane) loader.load();
			Scene scene = new Scene(root);
			primaryStage.setScene(scene);
			primaryStage.setTitle("Penguin game");
			primaryStage.show();

			// open the sound file as a Java input stream
			String intro = "./resource/pingu_generique.wav";
			InputStream in = new FileInputStream(intro);
			// create an audiostream from the inputstream
			AudioStream audioStream = new AudioStream(in);
			// play the audio clip with the audioplayer class
			AudioPlayer.player.start(audioStream);
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
